<?php
include_once("c_events_meeting_lession_report.php");
class c_page_cab_events_meeting_lession_report_sign extends c_page_cab_events_meeting_lession_report
{
  public $h1='Собрание - ведомость прохождения - подпись документа' ;
  public $use_cryptopro=1;
  public $show_panel_cryptopro_status=1;


  function block_main()
  { $url=str_replace('/sign/','/',_CUR_PAGE_DIR) ;
    if ($this->rec_doc['pkey'])
    {   $this->rec_doc['__href']=$url;
        $this->rec_doc['__href_cab']=$url;
        $this->rec_doc['__href_window']=$url ;

        $this->page_title();
        \cab\ext\cryptopro\i_cryptopro_sign::panel_sign(MEMBER()->id,$this->sign_uid,['rec_doc'=>$this->rec_doc]);
        /*
        include_once(_DIR_EXT.'/cryptopro/c_cryptopro_sign.php') ;
	     $page_cryptopro=new c_page_cab_cryptopro_sign() ;
	     $page_cryptopro->local_page_head() ;
	     $page_cryptopro->rec_doc=$this->rec_doc ;
	     $page_cryptopro->rec_doc['__href']=$url;
	     $page_cryptopro->rec_doc['__href_cab']=$url;
	     $page_cryptopro->rec_doc['__href_window']=$url ;
	     $page_cryptopro->block_main() ;*/
    }
    //damp_array($this->rec_doc) ;
  }
}



?>
